from django.db import models
from admin_ordering.models import OrderableModel
from filebrowser.fields import FileBrowseField

# Create your models here.

class Button(OrderableModel):
    published = models.BooleanField('Przycisk opublikowany', default=True)
    title = models.CharField('Tekst na przycisku', max_length=50)
    href = models.CharField('Link', max_length=50)
    blank = models.BooleanField('Otwórz w nowej karcie')

    def __str__(self):
        return self.title or '-'

    @property
    def link(self):
        return self.href

    class Meta(OrderableModel.Meta):
        verbose_name = 'Przycisk nawigacji (zielony)'
        verbose_name_plural = 'Przyciski nawigacji (zielone)'


class UpperButton(OrderableModel):
    published = models.BooleanField('Przycisk opublikowany', default=True)
    title = models.CharField('Tytuł przycisku', max_length=50)
    photo = FileBrowseField(
        'Ikona', directory='gorneprzyciski/', max_length=200, blank=True)
    href = models.CharField('Link', max_length=50)
    blank = models.BooleanField('Otwórz w nowej karcie')

    def __str__(self):
        return self.title or '-'

    class Meta(OrderableModel.Meta):
        verbose_name = 'Przycisk górny (łabs, atu, itd...)'
        verbose_name_plural = 'Przyciski górne (łabs, atu, itd...)'
